<?php
/**
 * PayURL wrapper for JoomlaKassa PayAnyWay payment system
 */

define('HTTPS', isset($_SERVER['HTTPS']) && filter_var($_SERVER['HTTPS'], FILTER_VALIDATE_BOOLEAN));

const SYSTEM = "paw";
const PAWKEY_SUCCESS = "PAYANYWAY_PAYMENT_SUCCESS";
const PAWKEY_FAIL = "PAYANYWAY_PAYMENT_FAIL";

function doRequest($url, $data = null)
{
	// use key 'http' even if you send the request to https://...
	$options = array(
		'http' => array(
			'header' => "Content-type: application/x-www-form-urlencoded\r\n",
			'method' => 'POST',
			'content' => http_build_query($data)
		)
	);
	$context = stream_context_create($options);
	$result = file_get_contents($url, false, $context);
	if ($result === FALSE)
	{
		/* Handle error */
		return null;
	}
	return $result;
}

function ret($answer)
{
	header('HTTP/1.1 200 OK');
	echo $answer;
	die;
}

function retFail()
{
	ret("FAIL");
}

function retSuccess()
{
	ret("SUCCESS");
}

$protocol = "http";
if (HTTPS)
	$protocol .= "s";

$urlBase = $protocol . '://' . $_SERVER['HTTP_HOST'] . '/index.php?option=com_joomlakassa&system='.SYSTEM.'&task=result.';

$urlInteraction = $urlBase."interaction";
$urlSuccess = $urlBase."success";
$urlFail = $urlBase."fail";

$r = doRequest($urlInteraction, $_POST);
if (!is_null($r))
{
	if (strpos($r, PAWKEY_SUCCESS))
	{
//		doRequest($urlSuccess, $_POST);
		retSuccess();
	}

//	if (strpos($r, PAWKEY_FAIL))
//	{
//		doRequest($urlFail, $_POST);
//	}
}
retFail();
